Subject: Re: [PATCH bpf] selftests/bpf: Declare bpf_log_buf variables as static

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 02 Mar 2020 18:48:38 +0100

Andrey Ignatov <[email-masked]> writes:

> Toke Høiland-Jørgensen <[email-masked]> [Mon, 2020-03-02 06:54 -0800]:
>> The cgroup selftests did not declare the bpf_log_buf variable as static, leading
>> to a linker error with GCC 10 (which defaults to -fno-common). Fix this by
>> adding the missing static declarations.
>> 
>> Fixes: 257c88559f36 ("selftests/bpf: Convert test_cgroup_attach to prog_tests")
>
> Hi Toke,
>
> Thanks for the fix.
>
> My 257c88559f36 commit was just a split that simply moved this
> bpf_log_buf from tools/testing/selftests/bpf/test_cgroup_attach.c to all
> new three files as is among many other things. Before that it was moved
> as is from samples/ in
> ba0c0cc05dda ("selftests/bpf: convert test_cgrp2_attach2 example into kselftest")
> and before that it was introduced in
> d40fc181ebec ("samples/bpf: Make samples more libbpf-centric")
>
> Though since these are new files I guess having just 257c88559f36 in the
> tag should be fine(?) so:

Yeah, I did realise you didn't write the original code, but this Fixes
tag should at least make the patch be picked up by any stable trees
after you moved things around, so I guess that's good enough :)

-Toke